package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MesReworkTaskRequestModel {

    /**
     * 替换装配件id，逗号隔开
     */
    private String assemblyIds;
    /**
     * 条码
     */
    private String sn;
    /**
     * 条码
     */
    private String custSn;

    /**
     * 返工单
     */
    private String reworkOrder;
    /**
     * 零件号
     */
    private String partNo;
    /**
     *
     */
    private String assemblyPartNo;
    /**
     *
     */
    private String organizeCode;

    private Integer assemblyPartStatus;

    private String detailIds;

    private Integer isOrigSn;

    @ApiModelProperty("返工数量")
    private Integer reworkedQty;

    @ApiModelProperty("报废数量")
    private Integer scrapQty;

    /**20 返工  30 报废 */
    @ApiModelProperty("类型")
    private Integer type;

    @ApiModelProperty("操作人")
    private String userName;

}
